REST APIWallet & TransactWallet

GET

Lists all wallet share requests:

  • List of the wallets and the users for which wallet share request is present.

Responses

200
OK

Response Body

object

  • walletShareRequests array of objects required
    walletShareRequests object
    • id string required
    • walletId string required

      matches ^[0-9a-f]{32}$

    • walletLabel string required
    • coin string required
    • userId string required
    • userEmail string required
    • userFullName string required
    • permissions array of string enums required
      spend
    • created string date-time required
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id